export = Light;
declare const Light_base: typeof import("./BridgeObjectWithId");
declare class Light extends Light_base {
    constructor(id: any);
    /** @returns {number} */
    get id(): number;
    /**
     * @param {string} value
     * @returns {Light}
     */
    set name(arg: string);
    /**
      * @returns {string}
     */
    get name(): string;
    /**
     * @returns {String}
     */
    get type(): string;
    /**
     * @returns {String}
     */
    get modelid(): string;
    /**
     * @returns {string}
     */
    get manufacturername(): string;
    /**
     * @returns {string}
     */
    get uniqueid(): string;
    /**
     * @returns {string}
     */
    get productid(): string;
    /**
     * @returns {string}
     */
    get productname(): string;
    /**
     * @returns {string}
     */
    get swversion(): string;
    /**
     * @returns {string}
     */
    get swupdate(): string;
    /**
     * @returns {Object}
     */
    get state(): Object;
    /**
     * @returns {Object}
     */
    get capabilities(): Object;
    /**
     * @typedef {Object} colorGamut
     * @property {number[]} red
     * @property {number[]} green
     * @property {number[]} blue
     *
     * @returns {colorGamut}
     */
    get colorGamut(): {
        red: number[];
        green: number[];
        blue: number[];
    };
    /**
     * Gets the supported states that the light will accept
     * @returns {string[]}
     */
    getSupportedStates(): string[];
    /** @private */
    private _populate;
    mappedColorGamut: any;
}
