export = Entertainment;
declare const Entertainment_base: {
    new (attributes: any, id: any): import("./Group");
    getAllGroupClasses(): string[];
};
declare class Entertainment extends Entertainment_base {
    constructor(id: any);
    set lights(arg: any);
    /** @return {Array.string} */
    get lights(): any;
    /**
     * @param value {string}
     * @returns {Entertainment}
     */
    set class(arg: string);
    /**
     * @returns {string}
     */
    get class(): string;
    /**
     * Obtains details of the stream on the Entertainment Group.
     *
     * @typedef Stream
     * @type {object}
     * @property proxymode {string}
     * @property proxynode {string}
     * @property active {boolean} The status of whether or not the stream is active
     * @property owner {string} The owner (user id) of the stream if it is active
     *
     * @returns @type {Stream}
     */
    get stream(): {
        proxymode: string;
        proxynode: string;
        /**
         * The status of whether or not the stream is active
         */
        active: boolean;
        /**
         * The owner (user id) of the stream if it is active
         */
        owner: string;
    };
    get locations(): any;
}
